#!/bin/bash
#
echo "Started..."
#Started...
#
# special variable $# is the number of arguments
if [ $# -lt 3 ] ; then
    echo 'Call ./<script> <db name> <db user> <db schema>'
    exit 1
fi
#
DB_NAME="$1"
echo "DB_NAME: $DB_NAME"
DB_USER="$2"
echo "DB_USER: $DB_USER"
DB_SCHEMA="rvb"
echo "DB_SCHEMA: ${DB_SCHEMA}"
#
psql -U $DB_USER -f ./sql/scripts/vw_counties.sql -d $DB_NAME -v schema=$DB_SCHEMA
psql -U $DB_USER -c 'DROP TABLE IF EXISTS rvb.tbl_counties;' -d $DB_NAME
psql -U $DB_USER -c 'CREATE TABLE tbl_counties AS SELECT * FROM rvb.vw_counties;' -d $DB_NAME
#
psql -U $DB_USER -f ./sql/scripts/vw_municipalities.sql -d $DB_NAME -v schema=$DB_SCHEMA
psql -U $DB_USER -c 'DROP TABLE IF EXISTS rvb.tbl_municipalities;' -d $DB_NAME
psql -U $DB_USER -c 'CREATE TABLE rvb.tbl_municipalities AS SELECT * FROM rvb.vw_municipalities;' -d $DB_NAME
#
psql -U $DB_USER -c 'DROP TABLE IF EXISTS rvb.tbl_poi CASCADE;' -d $DB_NAME
psql -U $DB_USER -f ./sql/scripts/vw_poi.sql -d $DB_NAME -v schema=$DB_SCHEMA
psql -U $DB_USER -c 'CREATE TABLE rvb.tbl_poi AS SELECT * FROM rvb.vw_poi;' -d $DB_NAME
#
psql -U $DB_USER -c 'DROP TABLE IF EXISTS rvb.tbl_vrb_bus_stops CASCADE;' -d $DB_NAME
psql -U $DB_USER -f ./sql/scripts/vw_vrb_bus_stops.sql -d $DB_NAME -v schema=$DB_SCHEMA
psql -U $DB_USER -c 'CREATE TABLE rvb.tbl_vrb_bus_stops AS SELECT * FROM rvb.vw_vrb_bus_stops;' -d $DB_NAME
#
psql -U $DB_USER -d $DB_NAME -f ./sql/scripts/vw_export_poi.sql -v schema=$DB_SCHEMA
#
psql -U $DB_USER -d $DB_NAME -c "COPY (SELECT * FROM rvb.vw_export_poi) TO STDOUT WITH DELIMITER AS ';' CSV  HEADER NULL '' QUOTE '\"';" -o /tmp/osm_poi_rvb.csv
#
echo "Done."
#done.
