import React, { useState, useEffect } from 'react'

import '../style.css';
import {getBusStopsCount} from '../utils/api';
export default function Home(){
    const [busStopsCount, setBusStopsCount] = useState('loading...');

    /*fetch busStopsCount in a JavaScript function*/
    const fetchCount = async () => {
        try {
	    const rsp=await getBusStopsCount();
	    setBusStopsCount((busStopsCount) => rsp);
        } catch (err) {
            console.error('err.message: ' + err.message);
	    setBusStopsCount((busStopsCount) => 'loading...');
        }
    };

    useEffect(() => {
	/*effect goes here*/
	fetchCount();
    }, []);

    return (
	<>
	    <h1>RVB Display</h1>
	    <h2>
		Wellcome to the RVB Display!
	    </h2>
	    <h3>
		Current number of bus stops in the RVB area: {busStopsCount}
	    </h3>
	</>
    );
}
